###Speakers
define p = Character('Player', image="Player", color="#c8ffc8")
define e = Character('Enemy', image="Enemy", color="#c8ffc8")

###Images
init python hide: #This is the autodefine image code
    for file in renpy.list_files():
        if file.startswith('Sprites/'): #Rename this to the name of your folder
            if file.endswith('.png'): #This is your filetype
                name = file.replace('Sprites/','').replace('/', ' ').replace('.png','')
                renpy.image(name, Image(file))
                continue
            continue
    for file in renpy.list_files():
        if file.startswith('BG/'):
            if file.endswith('.png'):
                name = file.replace('BG/','').replace('/', ' ').replace('.png','')
                renpy.image(name, Image(file))
                continue
            continue

#Added to screens.rpy Line 183 to animate the logo
image logo = At("BG/logo.png", hoverlogo) #hoverlogo is the ATL statement

###Audio Files
#init -2 python:
    
    ##nosoapradio.us
    #MUSIC = "Audio/Music.mp3" #Add more files following this format
    
    ##PLAYER Voices
    #PAttack = "Audio/PAttack.wav"
    #PCrit = "Audio/PCrit.wav"
    #PHit = "Audio/PHit.wav"
    #PDodge = "Audio/PDodge.wav"
    #PWin = "Audio/PWin.wav"
    
    ##ENEMY Voices
    #EAttack = "Audio/EAttack.wav"
    #ECrit = "Audio/ECrit.wav"
    #EHit = "Audio/EHit.wav"
    #EDodge = "Audio/EDodge.wav"
    #EWin = "Audio/EWin.wav"

###ATL and Custom Positions
init:
    #Logo ATL
    transform hoverlogo:
        subpixel True
        xpos 150 ypos 50 alpha 0.1
        linear 2.0 ypos 110 alpha 1.0
        block:
            linear 1.0 ypos 120
            linear 2.0 ypos 110
            linear 1.0 ypos 120
            repeat
    
    #vvvvvv PLEASE NOTE THAT YOU MAY NEED TO ADJUST THESE NUMBERS TO FIT YOUR SPRITES. THESE NUMBERS MAY NOT WORK FOR ALL GAMES vvvvvv#
    
    #ATL for sprite on left side of the screen
    transform leftcrit:
        xpos -1200 yalign 0.7
        linear 0.2 xpos 100
        linear 1.0 xpos 130
        linear 0.2 xpos 1300
        
    transform leftattack:
        xpos 0.01 ypos 0.2
        linear 0.1 xpos 0.1
        linear 0.1 xpos 0.01
        
    transform lefthit:
        xpos 0.01 ypos 0.2
        linear 0.2 xpos 0.005
        linear 0.2 xpos 0.01
        
    transform leftbob:
        xpos 0.01 ypos 0.2
        linear 0.2 ypos 0.3
        linear 0.2 ypos 0.2
    
    #ATL for sprite on right side of the screen
    transform rightcrit:
        xpos 1300 yalign 0.7
        linear 0.2 xpos 130
        linear 1.0 xpos 100
        linear 0.2 xpos -1200
        
    transform rightattack:
        xpos 0.3 ypos 0.03
        linear 0.1 xpos 0.29
        linear 0.1 xpos 0.3
        
    transform righthit:
        xpos 0.3 ypos 0.03
        linear 0.2 xpos 0.31
        linear 0.2 xpos 0.3
        
    transform rightbob:
        xpos 0.3 ypos 0.03
        linear 0.2 ypos 0.1
        linear 0.2 ypos 0.03
        
    #^^^^^^ PLEASE NOTE THAT YOU MAY NEED TO ADJUST THESE NUMBERS TO FIT YOUR SPRITES. THESE NUMBERS MAY NOT WORK FOR ALL GAMES ^^^^^^#
    
    transform shake: #This is best for the BG/images that fit the whole screen
        xalign 0.00 yalign 0.0
        parallel:
            linear 0.1 xpos -30
            linear 0.2 xpos 30
            linear 0.2 xpos -30
            linear 0.2 xpos 20
            linear 0.1 xpos 0
        parallel:
            linear 0.05 ypos 5
            linear 0.1 ypos -8
            linear 0.1 ypos 5
            linear 0.1 ypos -5
            linear 0.1 ypos 5
            linear 0.1 ypos -5
            linear 0.1 ypos 5
            linear 0.1 ypos -5
            linear 0.1 ypos 5
            linear 0.05 ypos 0
            
    #Positions
    
    $ midleft = Position(xpos=0.01,
        xanchor=0,
        ypos=0.2,
        yanchor=0)
    
    $ midright = Position(xpos=0.3,
        xanchor=0,
        ypos=0.03,
        yanchor=0)